/* $Id: debugconsole.h,v 1.3 2005/04/23 14:19:17 simimeie Exp $
 * Functions for a serial debug console. If DEBUGCONSOLE is not defined, then
 * all functions here become empty hulls.
 */ 

#ifndef _DEBUGCONSOLE_H_
#define _DEBUGCONSOLE_H_

#ifdef DEBUGCONSOLE

void debugconsole_init(void);
void debugconsole_work(void);
void debugconsole_print(uint8_t * what);
void debugconsole_printhex8(uint8_t what);
void debugconsole_printtext(uint8_t * what);

#else

#define debugconsole_init() if (0) { }
#define debugconsole_work() if (0) { }
#define debugconsole_print(what) if (0) { }
#define debugconsole_printhex8(what) if (0) { }
#define debugconsole_printtext(what) if (0) { }

#endif

#endif
